# require '../spec_helper'
require './lib/studio_game/die'

module StudioGame
  RSpec::Matchers.define :be_between do |expected|
    match do |actual|
      actual >= expected[:min] && actual <= expected[:max]
    end
  end

  describe Die do
  	before do
  		@die = Die.new
  		@range = (1..6).map{|i| i}
  	end
  	it "should roll a number between 1 & 6" do

      expect( @die.roll).to be_between(min: 1, max: 6)
  		expect( @range.include? @die.roll ).to be_true
  	end
  end
end
