# require '../spec_helper'
require './lib/studio_game/die'
require './lib/studio_game/game'

module StudioGame
	describe Game do
		before do
			@game = Game.new('Knuchleheads')

			@initial_health = 100
			@player = Player.new('moe',@initial_health)
	    @rounds = 2
			@game.add_player(@player)
		end

		it "w00ts player if a high number is rolled (5 or 6)" do
			GameTurn.stub(:roll).and_return(5)
			@game.play(@rounds)
			@player.health.should == @initial_health + (15 * @rounds)
		end

		it "ignores player if a medium number is rolled (3 or 4)" do
			GameTurn.stub(:roll).and_return(3)
			@game.play(@rounds)
			@player.health.should == @initial_health
		end

		it "blams player if a low number is rolled (1 or 2)" do
			GameTurn.stub(:roll).and_return(1)
			@game.play(@rounds)
			@player.health.should == @initial_health - (10 * @rounds)
		end

	  it "assigns a treasure for points during a player's turn" do
	    game = Game.new("Knuckleheads")
	    player = Player.new("moe")
	    game.add_player(player)
	    game.play(1)
	    player.points.should_not be_zero
	    # or use alternate expectation syntax:
	    # expect(player.points).not_to be_zero
	  end

	end
end
